Bug 1053610 - (CVE-2014-1444) CVE-2014-1444 Kernel: farsync: information leak in ioctl
CVE-2014-1444 Kernel: farsync: information leak in ioctl
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20131011,reported=2...
: Security
Depends On:
Blocks: 1027805
  Show dependency treegraph
 
Reported: 2014-01-15 08:53 EST by Prasad J Pandit
Modified: 2014-06-10 09:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 09:32:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2014-01-15 08:53:18 EST
Linux kenrel built with the FarSync T-Series driver support(CONFIG_FARSYNC)
is vulnerable to an information leakage flaw. It could occur while doing an
ioctl(SIOCWANDEV) call.

A user/program with CAP_NET_ADMIN privileges could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/96b340406724d87e4621284ebac5e059d67b2194

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2014/01/15/3
Comment 1 Prasad J Pandit 2014-01-16 04:58:19 EST
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

Note You need to log in before you can comment on or make changes to this bug.